<?php
    /*echo '<li class="list-group-item list-group-item-danger"><h3> System Error! We are sorry for inconvenience.Please Retry again. Thank you. (03)</h3></li><br>';
    exit();*/
    
	if($response_code == '01' || $response_code == '00')
	{

		//Payment Successful, You can Update Status to Paid here on Database;
				
		$user_id = get_invoice_to_using_txnref($orderId); //get the user id from 
		

		//get the invoice details
		$iid = get_invoice_id_using_txnref($orderId);
		
		
		 $invoice_type  = get_invoice_type($iid);//get invoice type
		 $invoice_to = get_invoice_invoice_to($iid);
		 $pay_to = get_invoice_pay_to($iid); //get who to pay the invoce to
		 $invoice_for = get_invoice_for($iid); //get what the invoice is made for 
		 $invoice_title = get_invoice_title($iid); // get the invocie title
		 $invoice_desc = get_invoice_desc($iid); //get the invoice desc
		 //	 $amount = get_invoice_amount($iid); //get the invocie amount
		 $total_amount = get_invoice_total_amount($iid); //get invoice total amount
		 $invoice_amount =	$total_amount;

		//	 $credit = get_invoiced_credit($iid); //get invoice credit
			 
		//	 $payment_status = get_invoice_payment_status($iid); //get the invoice payment status
		
		 //get invoice instalment or fulpayment
		 
		$payment_mode = get_invoice_payment_mode($iid);
		//show payment mode
		$show_payment_mode = show_payment_mode($payment_mode);
			
		
		//get user programme details
		//$user = get_user_id();//get user
		//$level = '100'; //get user level
		$programme_type = get_user_programme_type_admitted_to($user_id); //programme type
		$school = get_user_school_admitted_to($user_id); //department
	    $department = get_user_department_admitted_to($user_id); //department
		$programme  = get_user_programme_admitted_to($user_id);//programme
	 
 
		 //get current session 
		 $current_session = get_current_session($id = 1); //get current session
		 $session_title = get_session_title($current_session); //get session title
		 
		 //get current semester
		 $semester = get_current_semester($id = 1); //get current semester
		 $semester_title = get_semester_title($semester); //get semester title
		 
 
	   $remita_share_fix = '300';
	   $vat_fix = '15';
	   

	   $extra_tot_m = $remita_share_fix + $vat_fix;

 
     $full_name = get_user_fullname($invoice_to);
	 $email = get_user_email($invoice_to);
	 $phone_no = get_user_phone_no($invoice_to);
 
 
	  //collect matric number an dother student info
	  $appno = get_user_application_number($invoice_to);
	 
		 
        $stud_id = get_student_id_application_number($appno, $level = 'I');

		 
		

		 if(!student_id_exist_payments_nce($stud_id, $current_session,$semester)) //in future add session to match exactly the candidate
		 {
		 		
                   $cid = get_user_cart_id($id);
                     
                    //when Prence
                     if( $programme_type == 1){
                      	$mode = 1;
                       //when NCE Reg or LVSP
                     }elseif ($programme_type == 2 ) {
                     	//when LVSP
                        if ( $cid == 2) {
                          $mode = 2;
                          $session = 3;
                        }else{
                              $mode = 1; //for now
                        }

                     }

                
				
				/*$mode = 1; //programme mode 1 -  full time, 2 part time*/
				
				
				$payment_year = date('Y');//payment year

				  
			   
				
				  //if done finally collect all info for receipt
				  

					      //aplicant programme type
				 	$applicant_programme_type = get_applicant_programme_type_admitted_to($invoice_to);//get applicant pt
				  
				 
				  //applicant school
					$applicant_school = get_applicant_school_admitted_to($invoice_to); 
					 
					 
					  //applicant department
					$applicant_department = get_applicant_department_admitted_to($invoice_to); 
					  
					  
					  
					  //applicant department
					$applicant_programme = get_applicant_programme_admitted_to($invoice_to);
					  //if successful transaction enter the students and generate matric number
					$applicant_level = 'I'; //aplicant level 
				  
				  	$application_number = get_user_application_number($invoice_to);




		  				//now i am adding cart_id , school_id, school_applied_for, change other names to last name and middle name rememeber,
					$q = "SELECT  `type_id`, `school_id`, `department_id`, `programme_id`, `programme_type_applied_for`, `school_applied_for`,
						 `department_applied_for`, `programme_applied_for`, `application_number`, `country_id`, `state_id`,
						 `lga_id`, `first_name`,  `middle_name`, `other_names`, `phone_no`, `pdf_file`, `gender`, `religion`, `nationality`, `day`, `month`, `year`,
						  `marital_status`, `email`, `place_of_birth`,  `address`, `permanent_address`, `image`, `H_status`, 
						  `blood_type`, `disability`, `mode_of_entry`, `medi`,  `town`,  `guardian_name`, `guardian_tel`, `guardian_address`, 
						  `guardian_relationship`, `sponsorship_type`, `sponsorship_name`, `sponsorship_address`, 
						  `admission_status`, `admission_criteria`, `date_admitted`, `admission_serial_no`
						   
						 FROM `applicants_nce` 
						   
						 WHERE application_number = '$application_number'";
						   
					$r = mysqli_query($dbc,$q);

			    	
					if(mysqli_num_rows($r) > 0)
					{//if succesfully fetch applicant recor
					
			
						  //$initial = 0 ;
						  
						  $total_in_programme = get_total_programme_students($applicant_programme_type,$applicant_school,$applicant_programme,$applicant_level);
						   
						  $total_in_programme = $total_in_programme + 1; 
					
						  //generate matric number
						  $applicant_matric_number = generate_matric_number($applicant_programme_type, $applicant_school, $applicant_programme, $applicant_level, $total_in_programme);
							
						//exit(print_r($row = mysqli_fetch_array($r, MYSQLI_ASSOC)));
				  
						while($row = mysqli_fetch_array($r, MYSQLI_ASSOC))//fetch data to be migrated
						{
						
							//chedk if student has been added already an collect info if added //review this dont depend on this function
							if(!application_number_exist($application_number, $applicant_level))
							{
								 
								   //collect the variables for inserting and check for special string using 
								   $fn = mysqli_real_escape_string($dbc,$row['first_name']); //first name
								   $md_n = mysqli_real_escape_string($dbc,$row['middle_name']);
								   $on = mysqli_real_escape_string($dbc,$row['other_names']);
								   $pn = mysqli_real_escape_string($dbc,$row['phone_no']);
									$e = mysqli_real_escape_string($dbc,$row['email']);
									$add = mysqli_real_escape_string($dbc,$row['address']);
									$padd = mysqli_real_escape_string($dbc,$row['permanent_address']);
									$pob = mysqli_real_escape_string($dbc,$row['place_of_birth']);
									$gn = mysqli_real_escape_string($dbc,$row['guardian_name']);
									$gr = mysqli_real_escape_string($dbc,$row['guardian_relationship']);
									$gt = mysqli_real_escape_string($dbc,$row['guardian_tel']);
									$ga = mysqli_real_escape_string($dbc,$row['guardian_address']);
									$sn = mysqli_real_escape_string($dbc,$row['sponsorship_name']);
									$sa = mysqli_real_escape_string($dbc,$row['sponsorship_address']);
									$ac = mysqli_real_escape_string($dbc,$row['admission_criteria']);
									$med = mysqli_real_escape_string($dbc,$row['medi']);
									$spt = mysqli_real_escape_string($dbc,$row['sponsorship_type']);
									//$applicant_matric_number = mysqli_real_escape_string($dbc,$applicant_matric_number);
									
				
									//get applicants info
									$qq = "INSERT INTO `students_nce`(`id`,`type_id`, `school_id`, `department_id`, `programme_id`, `programme_type_applied_for`, `school_applied_for`,`department_applied_for`, 
									`programme_applied_for`, `country_id`, `state_id`, `lga_id`,  `first_name`,`middle_name`, `other_names`, `phone_no`, `pdf_file`, `gender`, 
									`nationality`, `medi`,  `day`, `month`, `year`, `marital_status`, `number`, `application_number`, `username`, `password`, `email`,
									 `phone_number`,  `address`, `permanent_address`, `image`, `blood_type`, `disability`, `mode_of_entry`, `entry_year`, `award_in_view`,
									  `user_status`, `place_of_birth`, `religion`, `level`, `H_status`, 
									 `date_added`, `guardian_name`, `guardian_relationship`, `guardian_tel`, `guardian_address`, 
									 `sponsorship_type`, `sponsorship_name`, `sponsorship_address`, `admission_criteria`, `date_admitted`, `admission_serial_no`) 
									 VALUES (NULL,'".$row['type_id']."','".$row['school_id']."','".$row['department_id']."','".$row['programme_id']."','".$row['programme_type_applied_for']."',
									 '".$row['school_applied_for']."','".$row['department_applied_for']."','".$row['programme_applied_for']."','".$row['country_id']."','".$row['state_id']."',
									 '".$row['lga_id']."','".$fn."','".$md_n."','".$on."','".$pn."',
									 '".$row['pdf_file']."','".$row['gender']."','".$row['nationality']."','".$med."','".$row['day']."','".$row['month']."',
									 '".$row['year']."','".$row['marital_status']."',('$applicant_matric_number'),'$application_number', ('$applicant_matric_number'),
									 '".md5('0000')."','".$e."',
									 '".$pn."','".$add."','".$padd."','".$row['image']."','".$row['blood_type']."',
									 '".$row['disability']."','".$row['mode_of_entry']."','2019','1','1','".$pob."','".$row['religion']."',
									 '$applicant_level','".$row['H_status']."',NOW(),'".$gn."','".$gr."',
									 '".$gt."','".$ga."','$spt','".$sn."',
									 '".$sa."', '".$ac."', '".$row['date_admitted']."', '".$row['admission_serial_no']."')";
							  
									 $rr = mysqli_query($dbc,$qq);
										    
										
									  if($rr)//mysqli_affected_rows($dbc)
									  {
										  
										   $latest_student_id =  mysqli_insert_id($dbc); //do something like inserting in school fee payment for the latest student added
										 
													
										   if(!student_id_exist_payments_nce($latest_student_id, $current_session, $semester))
										   {
											   
											   
											   //detect semester by 2 payments
											   
											    if($payment_mode == '1')
												   {
													   
														$qry33 = "INSERT INTO `school_fee_payments_nce`(`id`, `programme_type_id`,`school_id`, `department_id`, `programme_id`, 
															 `session`, `semester`, `student_id`, `payment_status`,`payment_mode`,`payment_method`, `invoice_id`,`sponsorship_type`,
															 `title`, `description`, `amount`, `date_added`, `added_by`) 
															 VALUES (NULL,'".$row['type_id']."','".$row['school_id']."','".$row['department_id']."','".$row['programme_id']."',
															'$current_session','$semester','$latest_student_id','1','$payment_mode','3',
															'$iid','$spt','$invoice_title','$invoice_desc','$invoice_amount',NOW()),'ghost'";
													   
												   }
												   else
												   {
													 $qry33 = "INSERT INTO `school_fee_payments_nce`(`id`, `programme_type_id`,`school_id`, `department_id`, `programme_id`, 
															 `session`, `semester`, `student_id`, `payment_status`,`payment_mode`,`payment_method`, `invoice_id`,`sponsorship_type`,
															 `title`, `description`, `amount`, `date_added`, `added_by`) 
															 VALUES (NULL,'".$row['type_id']."','".$row['school_id']."','".$row['department_id']."','".$row['programme_id']."',
															'$current_session','1','$latest_student_id','1','$payment_mode','3',
															'$iid','$spt','$invoice_title','$invoice_desc','$invoice_amount',NOW(),'ghost')";
													   
												   }//else of mode of payment is full
																			
																				 
													//update invoice status to paid
												$rr33 = mysqli_query($dbc,$qry33);
												   
												  
										   
												  if($rr33)//mysqli_affected_rows($dbc)
												  {
													//if done finally collect all info for receipt
													 mysqli_query($dbc,"UPDATE invoices SET payment_status = '1' WHERE invoice_id = '$iid'");
													
												    //send sms 
							
													//get user phone number
													$phone_no = get_user_phone_no($invoice_to);
													$fname = get_user_first_name($invoice_to);
													//attach sms message
													$sms_msg = 'Dear '.$fname.', Ur Sch. Fees Payment was successful. Ur Matric No. is '.$applicant_matric_number . ' and Ur default password is 0000. Pls proceed to student portal 
														to complete ur reg.'; //Please login with valid credentials to continue your application process.-';

													//send_sms($phone_no, $sms_msg.' '); //send sms to user
													
													$applicant_fee_payments_entered = true;
														
												  }
												  else
												  {
													  //show 
												    echo $msg =  '<li class="list-group-item list-group-item-danger"><h3> System Error! We are sorry for inconvenience.Please Retry again. Thank you. (03)</h3></li><br>';
												 
												  //header("Location: dashboard.php?act=view_invoices3&error=".urlencode($msg5)."&qlk=".md5(8)."&auth=".sha1(md5(2))."&iid=".$iid);
												  }
												  
										   }//end of if student doesnt exist
										  
												   
										  
										   
									  }
									  else
									  {
										  //show 
										$msg5 =  'System Error!. We are sorry for inconvinience.Please Retry again. Thank you.';
												 
												  //header("Location: dashboard.php?act=view_invoices3&error=".urlencode($msg5)."&qlk=".md5(8)."&auth=".sha1(md5(2))."&iid=".$iid);
							  
									 }//end of if insert doesent work
						  
						  
							}//end of if applicant doesnt exist system
							else
							{//but if applicant exist
							
								//check for the applicant id in students table
								$student_id = get_student_id_application_number($application_number, $applicant_level);
								
								
								
								//check if he /she has made payment
								
								if(student_id_exist_payments_nce($latest_student_id, $current_session, $semester))
								{
									
									mysqli_query($dbc,"UPDATE invoices SET payment_status = '1' WHERE invoice_id = '$iid'");
													

									
								}
								else
								{//if appicant is in students table and hant made payment tell the banker to retry
									
									$msg5 =  'Not successful!. We are sorry for inconvinience.Please Retry again. Thank you.';

								 
								  	//header("Location: dashboard.php?act=view_invoices3&error=".urlencode($msg5)."&qlk=".md5(8)."&auth=".sha1(md5(2))."&iid=".$iid);
									
								}
								
								//if not pay
								
								
							
							
							}//take infor mation to display only
						  
						}//end of while row fetching
						  
				 
				  

				  
					/*	  
				   //query
					$q441 = "UPDATE invoices SET payment_status = 1 WHERE invoice_id = '$iid'"; //update invoice to paid where payment status is 1
					$r441 = mysqli_query($dbc, $q441);
					
					if(mysqli_affected_rows($dbc))
					//if($r441)
					{//end of if update is successful
					  
					   
					  // echo '<br/><br/> <a target="_blank" href="create_app_payment_slip.php?qlk='.md5(8).'&me='.$invoice_to.'" class="btn btn-info" data-toggle="tooltip" data-placement="top" title="Click here to Print / Download Payment Receipt"><i class="glyphicon glyphicon-print"> </i> Print / Download Receipt</a>';
					   //clear some sessions
					   
					   
					   $applicant_fee_payments_entered = true;
					   
					   echo '<li class="list-group-item list-group-item-success"><h3> Payment Successfully processed</h3></li><br>';
		  
					}
					else
					{
					 	echo   $msg =   'li class="list-group-item list-group-item-danger"><h3>  &nbsp;&nbsp;SERVER ERROR: Please try again.(01)</h3></li><br>';
					 // //header("Location: dashboard.php?act=view_invoices&error=".urlencode($msg)."&qlk=".md5(8)."&auth=".sha1(md5(2))."&iid=".$iid);
		  
					}//end of if invoice is updated*/
			  
				  
				  
				}
				else
				{
				   //else tell the admin to reprint
					
					echo $msg =  '<li class="list-group-item list-group-item-danger"><h3> System Error! We are sorry for inconvenience.Please Retry again. Thank you. (02)</h3></li><br>';
					////header("Location: dashboard.php?act=view_invoices&error=".urlencode($msg)."&qlk=".md5(8)."&auth=".sha1(md5(2))."&iid=".$iid);
				}
				
		 }//end of if applicnt id exist in payment
		 else
		 {
					  // echo '<br/><br/> <a target="_blank" href="create_app_payment_slip.php?qlk='.md5(8).'&me='.$invoice_to.'" class="btn btn-info" data-toggle="tooltip" data-placement="top" title="Click here to Print / Download Payment Receipt"><i class="glyphicon glyphicon-print"> </i> Print / Download Receipt</a>';

					//mysqli_query($dbc,"UPDATE invoices SET payment_status = '1' WHERE invoice_id = '$iid'");  
			echo '<li class="list-group-item list-group-item-info"><h3>Payment already processed</h3></li><br>';



		 }
		 
		 
			
		
		
		$transaction_type = 1; //fresh student
		$transaction_for = 2; //school fees

		/*	if ($invoice_for == 0) {
			$transaction_for = 0; //application fee
		} else {
			$transaction_for = 1; //screening fee
		}*/
		

		$payment_method = 3; //3 for remita pay bank branch payment
		
		
		$iid2 = $iid;//pass invoice id
		$title2 =  $invoice_title;
		$desc2 = $invoice_desc;
		
	   
		//get payment status using 
		$payment_status = get_payment_status_by_resp_code($response_code);
		//$amt = $amt / 100;
		$amt = $tot;
		
		
		
		
		
		if($rrr != '')
		{
		
		
		  if($rrr != '' && $orderId != '')
		  {
		  

				$qry23 ="UPDATE  `remita_webpay_transaction_log`  SET  
				 `payment_method` = '$payment_method', `payment_status` = '$payment_status', `response_code` = '$response_code', `response_description` = '$response_message',
				 `total_paid_by_buyer` = '$invoice_amount',`extra_charges_by_merchant` = '$extra_tot_m',
				  `transaction_id` = '$rrr',  `email` = '$email', `transaction_date` =NOW()
				 
				 WHERE transaction_reference = '$orderId'";
				   
				$rst23 =  mysqli_query($dbc, $qry23);
			
				//if(mysqli_affected_rows($dbc))
				if($rst23)
				{//end of if update is successful
				
					   
					   
					   //clear some sessions
					   
					   //unset($_SESSION['iid']);
					   //unset($_SESSION['amnt']);
					   
					
				//do nothing for now
				
				}
				else
				{
					echo $msg6 =   '&nbsp;&nbsp;SERVER ERROR: Transaction Log has issues, we are sorry for the incovenience. Error(06)';
						  
				   ////header("Location: dashboard.php?act=view_invoices3&error=".urlencode($msg)."&qlk=".md5(8)."&iid=".$iid);
			
				}


		  }//en dof if check
		  
		}//end of RRR aint empty

		 
		
		
	}//end of if response code is successull
	
?>		
		
